%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-sqlobject
Version:        0.7.0
Release:        6%{?dist}
Summary:        SQLObject -Object-Relational Manager, aka database wrapper  

Group:          Development/Libraries
License:        LGPL
URL:            http://sqlobject.org/
Source0:        http://cheeseshop.python.org/packages/source/S/SQLObject/SQLObject-%{version}.tar.gz  
Patch0:         python-sqlobject-admin.patch
Patch1:         python-sqlobject-0.7.0-pkg_resources.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

Requires:       python-sqlite, python-formencode >= 0.2.2


%description
Classes created using SQLObject wrap database rows, presenting a
friendly-looking Python object instead of a database/SQL interface.
Emphasizes convenience.  Works with MySQL, Postgres, SQLite, Firebird.

This package requires sqlite. Futher database connectors have to be installed
separately.

%prep
%setup -q -n SQLObject-%{version}
rm -rf ez_setup
%patch0 -p1
%patch1

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc PKG-INFO README.txt docs

%dir %{python_sitelib}/sqlobject
%{python_sitelib}/sqlobject/*.py
%{python_sitelib}/sqlobject/*.pyc
%ghost %{python_sitelib}/sqlobject/*.pyo

%dir %{python_sitelib}/sqlobject/firebird
%{python_sitelib}/sqlobject/firebird/*.py
%{python_sitelib}/sqlobject/firebird/*.pyc
%ghost %{python_sitelib}/sqlobject/firebird/*.pyo

%dir %{python_sitelib}/sqlobject/inheritance
%{python_sitelib}/sqlobject/inheritance/*.py
%{python_sitelib}/sqlobject/inheritance/*.pyc
%ghost %{python_sitelib}/sqlobject/inheritance/*.pyo

%dir %{python_sitelib}/sqlobject/manager
%{python_sitelib}/sqlobject/manager/*.py
%{python_sitelib}/sqlobject/manager/*.pyc
%ghost %{python_sitelib}/sqlobject/manager/*.pyo

%dir %{python_sitelib}/sqlobject/maxdb
%{python_sitelib}/sqlobject/maxdb/*.py
%{python_sitelib}/sqlobject/maxdb/*.pyc
%ghost %{python_sitelib}/sqlobject/maxdb/*.pyo

%dir %{python_sitelib}/sqlobject/mysql
%{python_sitelib}/sqlobject/mysql/*.py
%{python_sitelib}/sqlobject/mysql/*.pyc
%ghost %{python_sitelib}/sqlobject/mysql/*.pyo

%dir %{python_sitelib}/sqlobject/postgres
%{python_sitelib}/sqlobject/postgres/*.py
%{python_sitelib}/sqlobject/postgres/*.pyc
%ghost %{python_sitelib}/sqlobject/postgres/*.pyo

%dir %{python_sitelib}/sqlobject/sqlite
%{python_sitelib}/sqlobject/sqlite/*.py
%{python_sitelib}/sqlobject/sqlite/*.pyc
%ghost %{python_sitelib}/sqlobject/sqlite/*.pyo

%dir %{python_sitelib}/sqlobject/sybase
%{python_sitelib}/sqlobject/sybase/*.py
%{python_sitelib}/sqlobject/sybase/*.pyc
%ghost %{python_sitelib}/sqlobject/sybase/*.pyo

%dir %{python_sitelib}/sqlobject/util
%{python_sitelib}/sqlobject/util/*.py
%{python_sitelib}/sqlobject/util/*.pyc
%ghost %{python_sitelib}/sqlobject/util/*.pyo

%{_bindir}/*

%changelog
* Sun Jun  9 2006 Luke Macken <lmacken@redhat.com> 0.7.0-6
- Add python-sqlobject-0.7.0-pkg_resources.patch (Bug #195548)
- Remove unnecessary python-abi requirement

* Sun Oct 23 2005 Oliver Andrich <oliver.andrich@gmail.com> 0.7.0-5.fc4
- fixed the changelog usage of a macro

* Sun Oct 23 2005 Oliver Andrich <oliver.andrich@gmail.com> 0.7.0-4.fc4
- %%{?dist} for further distinguish the different builts.

* Tue Oct 13 2005 Oliver Andrich <oliver.andrich@gmail.com> 0.7.0-3
- fixed a spelling error reported by rpmlint
- changed the installation to use -O1
- %ghost'ed the the resulting *.pyo files

* Tue Oct 06 2005 Oliver Andrich <oliver.andrich@gmail.com> 0.7.0-2
- fixed requirement for FormEncode >= 0.2.2
- Upgrade to upstream version 0.7.0

* Tue Sep 20 2005 Oliver Andrich <oliver.andrich@gmail.com> 0.7-0.1.b1
- Version 0.7b1
